# $Revision: 1.80 $, $Date: 2003/01/16 19:08:16 $
Summary:	DHCP Server
Summary(es):	Servidor DHCP (Protocolo de configuracin dinmica de hosts)
Summary(pl):	Serwer DHCP
Summary(pt_BR):	Servidor DHCP (Protocolo de configurao dinmica de hosts)
Name:		dhcp
Version:	3.0pl2
Release:	1
Epoch:		2
Vendor:		ISC
License:	distributable
Group:		Networking/Daemons
Source0:	ftp://ftp.isc.org/isc/dhcp/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}-relay.init
Source3:	%{name}-relay.sysconfig
Source4:	%{name}d.conf.sample
Source5:	%{name}.sysconfig
Patch0:		%{name}-sh.patch
BuildRequires:	groff
PreReq:		rc-scripts >= 0.2.0
Requires(post,preun):	/sbin/chkconfig
Requires(post):	fileutils
Provides:	dhcpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

%description -l es
DHCP permite que hosts en una red TCP/IP soliciten y tengan sus
direcciones IP alocadas dinmicamente, permite tambin descubrir
informacin sobre la red en que estn conectados. BOOTP provee una
funcionalidad similar, con ciertas restricciones. Este servidor
tambin las atiende. Esta versin an est considerada como un
software BETA.

%description -l pl
Serwer DHCP (Dynamic Host Configuration Protocol).

DHCP to protok pozwalajcy urzdzeniom pracujcym w sieci IP na
pobieranie ich konfiguracji IP (adresu, maski podsieci, adresu
rozgoszeniowego itp.) z serwera DHCP. Uatwia on administrowanie
duymi sieciami IP.

%description -l pt_BR
DHCP permite que hosts numa rede TCP/IP requisitem e tenham seus
endereos IP alocados dinamicamente, permite tambm descobrir
informaes sobre a rede em que esto conectados. BOOTP prov uma
funcionalidade similar, com certas restries. Este servidor tambm
atende aquelas requisies. Esta verso  ainda considerada um
software BETA.

%package client
Summary:	DHCP Client
Summary(pl):	Klient DHCP
Group:		Networking/Daemons
Requires(post):	fileutils
Obsoletes:	pump

%description client
Dynamic Host Configuration Protocol Client.

%description client -l pl
Klient DHCP (Dynamic Host Configuration Protocol).

%package relay
Summary:	DHCP Relay Agent
Summary(pl):	Agent przekazywania informacji DHCP
Group:		Networking/Daemons
PreReq:		rc-scripts >= 0.2.0
Requires(post,preun):	/sbin/chkconfig
Requires(post):	fileutils

%description relay
Dhcp relay is a relay agent for DHCP packets. It is used on a subnet
with DHCP clients to "relay" their requests to a subnet that has a
DHCP server on it. Because DHCP packets can be broadcast, they will
not be routed off of the local subnet. The DHCP relay takes care of
this for the client.

%description relay -l pl
Agent przekazywania DHCP (Dynamic Host Configuration Protocol) midzy
podsieciami. Poniewa komunikaty DHCP mog by przekazywane w formie
rozgoszeniowej, bez tego agenta nie zostan przerutowane do innej
podsieci.

%package devel
Summary:	DHCP development includes and libs
Summary(pl):	Pliki nagwkowe i biblioteki dla oprogramowania DHCP
Group:		Development/Libraries

%description devel
Includes OMAPI and dhcptl libraries.

OMAPI is an programming layer designed for controlling remote
applications, and for querying them for their state. It is currently
used by the ISC DHCP server.

The dhcpctl set of functions provide an API that can be used to
communicate with and manipulate a running ISC DHCP server.

%description devel -l pl
Zawiera biblioteki OMAPI oraz dhcpctl.

OMAPI to warstwa programowa stworzona do kontroli zdalnych aplikacji i
odpytywania o ich stan. Aktualnie jest uywana przez serwer ISC DHCP.

dhcpctl to zbir funkcji tworzcych API, ktre moe by uywane do
komunikacji z dziaajcym serwerem ISC DHCP i jego kontroli.

%prep
%setup -q
%patch0 -p1
install %{SOURCE4} .

%build
# Notice: this is not autoconf configure!!!!!!!
#         do not change it to %%configure
./configure

%{__make} COPTS="%{rpmcflags} \
	-D_PATH_DHCPD_DB=\\\"/var/lib/%{name}/dhcpd.leases\\\" \
	-D_PATH_DHCLIENT_DB=\\\"/var/lib/%{name}/dhclient.leases\\\"" \
	DEBUG="" VARDB="/var/lib/%{name}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},%{_bindir},%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT{/var/lib/%{name},%{_sysconfdir}/{rc.d/init.d,sysconfig}}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	CLIENTBINDIR="/sbin" \
	BINDIR="%{_sbindir}" \
	LIBDIR="%{_libdir}" \
	INCDIR="%{_includedir}" \
	ADMMANDIR="%{_mandir}/man8" \
	ADMMANEXT=.8 \
	FFMANDIR="%{_mandir}/man5" \
	LIBMANDIR="%{_mandir}/man3" \
	LIBMANEXT=.3 \
	USRMANDIR="%{_mandir}/man1" \
	USRMANEXT=.1 \
	VARDB="/var/lib/%{name}" \
	FFMANEXT=.5

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcp-relay
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/dhcp-relay
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/dhcpd

mv $RPM_BUILD_ROOT%{_mandir}/man3/omshell.3 \
	$RPM_BUILD_ROOT%{_mandir}/man1/omshell.1

install client/scripts/linux $RPM_BUILD_ROOT%{_sbindir}/dhclient-script

touch $RPM_BUILD_ROOT/var/lib/%{name}/{dhcpd,dhclient}.leases

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dhcpd
touch /var/lib/%{name}/dhcpd.leases

if [ ! -d /var/lib/dhcp ]; then
	install -d /var/lib/dhcp
fi

if [ -f /var/lock/subsys/dhcpd ]; then
	/etc/rc.d/init.d/dhcpd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dhcpd start\" to start dhcpd daemon."
fi

%preun
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/dhcpd ]; then
		/etc/rc.d/init.d/dhcpd stop >&2
	fi
	/sbin/chkconfig --del dhcpd
fi

%post client
if [ -d /var/lib/dhcp ]; then
	install -d /var/lib/dhcp
fi

%post relay
/sbin/chkconfig --add dhcp-relay
if [ -f /var/lock/subsys/dhcrelay ]; then
	mv -f /var/lock/subsys/dhcrelay /var/lock/subsys/dhcp-relay
fi
if [ -f /var/lock/subsys/dhcp-relay ]; then
	/etc/rc.d/init.d/dhcp-relay restart >&2
else
	echo "Run \"/etc/rc.d/init.d/dhcp-relay start\" to start dhcrelay daemon."
fi

%preun relay
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/dhcp-relay ]; then
		/etc/rc.d/init.d/dhcp-relay stop >&2
	fi
	/sbin/chkconfig --del dhcp-relay
fi

%triggerpostun -- dhcp < 3.0
if [ `grep ddns-update-style /etc/dhcpd.conf` = "" ]; then
	umask 027
	echo "ddns-update-style none;" > /etc/dhcpd.conf.tmp
	echo "" >> /etc/dhcpd.conf.tmp
	cat /etc/dhcpd.conf >>/etc/dhcpd.conf.tmp
	mv -f /etc/dhcpd.conf.tmp /etc/dhcpd.conf
fi

%files
%defattr(644,root,root,755)
%doc doc/* README RELNOTES dhcpd.conf.sample
%{_mandir}/man1/*
%{_mandir}/man5/dhcp*
%{_mandir}/man8/dhcp*
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/dhcpd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/dhcpd
%attr(754,root,root) /etc/rc.d/init.d/dhcpd
%attr(750,root,root) %dir /var/lib/%{name}
%ghost /var/lib/%{name}/dhcpd.leases

%files client
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/dhclient
%attr(755,root,root) /sbin/dhclient-script
%{_mandir}/man[58]/dhclient*
%ghost /var/lib/%{name}/dhclient.leases

%files relay
%defattr(644,root,root,755)
%{_mandir}/man8/dhcrelay*
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/dhcp-relay
%attr(755,root,root) %{_sbindir}/dhcrelay
%attr(754,root,root) /etc/rc.d/init.d/dhcp-relay

%files devel
%defattr(644,root,root,755)
%{_mandir}/man3/*
%{_libdir}/*.a
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dhcp.spec,v $
Revision 1.80  2003/01/16 19:08:16  kloczek
- updated to 3.0pl2: security fix.
  This version have fixed several potential vulnerabilities fouded during
  an audit. These vulnerabilities affect the minires library and may be
  exploitable as stack buffer overflows, which could lead to remote code
  execution.

Revision 1.79  2002/12/29 18:00:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.78  2002/11/08 20:56:40  wolf
- damn those sh=bash idiots
- rel 2

Revision 1.77  2002/10/10 13:33:18  marcus
- use new %%doc

Revision 1.76  2002/05/08 21:25:43  lukasz
- CERT Advisory CA-2002-12 Format String Vulnerability

Revision 1.75  2002/04/25 16:11:34  arturs
fixed a small typo

Revision 1.74  2002/03/29 11:09:33  blues
- files fixed - builds now

Revision 1.73  2002/03/28 22:48:40  kloczek
- release 4: merge translations from Conectiva.

Revision 1.72  2002/03/28 21:27:48  pioklo
- file dhclient-script should be in sbindir

Revision 1.71  2002/03/04 12:57:13  jajcus
- manpage for dhcpctl was missing in devel package

Revision 1.70  2002/02/27 11:44:37  jajcus
- devel subpackage and omshell tool added

Revision 1.69  2002/02/23 01:47:48  kloczek
- adapterized.

Revision 1.68  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.67  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.66  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.65  2001/11/10 00:53:45  kloczek
- release 2.

Revision 1.64  2001/10/27 16:23:11  blues
- added provides dhcpd

Revision 1.63  2001/10/25 15:06:08  kloczek
- updated to final 3.0 (Epoch: 2).

Revision 1.62  2001/09/24 12:16:12  qboosh
- base and relay Prereq: /sbin/chkconfig

Revision 1.61  2001/08/31 18:56:09  kloczek
- release 2,
- added "%triggerpostun -- dhcp < 3.0" script with add on top dhcpd.conf
  "ddns-update-style none;" line if not exist. Thos allow smooth upgrade from
  < 3.0 dhcp to current because new dhcpd reuires in dhcpd.conf entry with info
  about dynamic dns update style handling. This trigger by default adds
  disabled ddns update.

Revision 1.60  2001/08/24 03:36:31  kloczek
- updated to 3.0rc12.

Revision 1.59  2001/08/15 20:20:53  kloczek
- updated to 3.0rc11.

Revision 1.58  2001/07/26 16:23:31  saq
- finished transition to new lock name (/var/lock/subsys/dhcp-relay)
- release 3
- stb

Revision 1.57  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.55  2001/07/03 14:19:07  kloczek
- release 2: fix: missing "fi" in start target in dhcp-relay init script.

Revision 1.54  2001/07/02 05:54:27  kloczek
- updated to 3.0rc10.

Revision 1.53  2001/06/29 09:15:47  kloczek
- updated to 3.0rc9.

Revision 1.52  2001/06/28 14:56:54  blues
3.0rc8pl2

Revision 1.51  2001/06/22 12:07:16  kloczek
- updated to 3.0rc8,
- standarize init scripts for dhcp server and relay,
- added support for bind to specified interfaces in relay init script.

Revision 1.50  2001/05/27 12:52:40  blues
- 3.0rc7
STB
NOTE: previous clients were vulnerable to a root attack by a corrupt DHCP
server

Revision 1.49  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.48  2001/02/19 18:06:39  mikrobi
- fixed dhcrelay/dhcp-relay dualism ;-). Now it boots-up fine
- pl translation enhanced

Revision 1.47  2001/02/11 20:31:07  kloczek
- updated to 3.0b2pl16.

Revision 1.46  2001/02/01 16:27:33  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.45  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.44  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.43  2000/12/10 16:59:47  kloczek
- now spec is %%{debug} ready.

Revision 1.42  2000/12/10 16:17:32  misiek
updated to 3.0b2pl11; removed reference to bind-devel

Revision 1.41  2000/10/06 07:48:08  kloczek
- release 2: adapterized and added using new automation suit.

Revision 1.40  2000/10/06 07:21:36  jajcus
- dynamic DNS updates support added
- use DESTDIR (no patch needed)
- %configure -> .//configure (this is not autoconf script!)

Revision 1.39  2000/07/27 01:21:50  kloczek
- updated to 3.0b1pl17.

Revision 1.38  2000/07/12 18:32:55  waszi

- 3.0b1pl16

Revision 1.37  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.35  2000/05/12 15:52:45  baggins
- release 4
- fixed typo de -> pl

Revision 1.34  2000/05/09 20:20:42  kloczek
- spec adapterized.

Revision 1.33  2000/05/09 19:58:44  baggins
- added /etc/dhclient-script (VERY rough)

Revision 1.32  2000/05/09 17:26:47  zagrodzki
- install -d instead of mkdir

Revision 1.31  2000/05/09 17:23:20  zagrodzki
- mkdir /var/lib/dhcp in %post-s

Revision 1.30  2000/04/27 14:07:01  baggins
- idiots should not be allowed to code. Final fix for FHS 2.1

Revision 1.29  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.28  2000/04/06 14:30:44  mis
- typos

Revision 1.27  2000/04/01 21:57:54  kloczek
- added "Requires: rc-scripts >= 0.2.0" for main and relay subpackage.

Revision 1.26  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.24  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.23  2000/02/15 09:53:27  kloczek
- updated to 3.0b1pl13,
- standarized %post, postun for main and realy subpackage,
- added "Obsoletes: pump" for clent package.

Revision 1.22  1999/11/29 22:51:42  wiget
- updated to 3.0b1pl12

Revision 1.21  1999/11/25 12:19:11  kloczek
- renamed init script and sysconfig file to dhcp-relay.

Revision 1.20  1999/11/25 11:42:43  kloczek
- release 5,
- fix: removed douoble starting dhcpd in start target in ininit dhcpd script,
- gix: include in dhcpd pacage dhcpd sysconfig file (not dhcrelay).

Revision 1.19  1999/09/11 13:35:49  misiek
- fixed requires (PR#31)

Revision 1.18  1999/09/01 16:31:51  wiget
- BuildRequires: groff

Revision 1.17  1999/09/01 15:58:31  wiget
- typo

Revision 1.16  1999/09/01 15:54:22  wiget
- added sysconfig file to dhcpd
- added %%verify to sysconfig files

Revision 1.15  1999/09/01 01:35:14  kloczek
- release 3 (in rawhide is 2),
- added in %doc sample config file,
- new %description (wrom rawhide).

Revision 1.14  1999/09/01 01:26:05  kloczek
- 754 permission on rc script,
- added %config(noreplace for /etc/sysconfig/dhcrelay,
- cosmetics.

Revision 1.13  1999/08/22 21:53:46  waszi
- added dhcrelay.init
- added dhcrelay.sysconfig

Revision 1.12  1999/08/22 20:12:34  waszi
separated to 3 packages

Revision 1.11  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jul 2 1999 Bartosz Waszak <waszi@pld.org.pl>
- initial rpm release
